<VirtualHost *:5100>
    WSGIScriptAlias / /opt/vcg_api_server/vcg_api_server/wsgi.py

    ErrorLog ${APACHE_LOG_DIR}/error.log
    CustomLog ${APACHE_LOG_DIR}/access.log combined

    Alias /static/ /opt/vcg_api_server/static/
    Alias /media/ /opt/vcg_api_server/media/

    RewriteEngine on
    RewriteCond %{HTTP:UPGRADE} ^WebSocket$ [NC,OR]
    RewriteCond %{HTTP:CONNECTION} ^Upgrade$ [NC]
    RewriteRule .* ws://127.0.0.1:5101%{REQUEST_URI} [P,QSA,L]

    <Directory /opt/vcg_api_server/static>
            Require all granted
    </Directory>

    <Directory /opt/vcg_api_server/media>
            Require all granted
    </Directory>

    <Directory /opt/vcg_api_server/vcg_api_server>
            <Files wsgi.py>
                    Require all granted
            </Files>
    </Directory>
</VirtualHost>
